Results 1 to 2 of 2

Thread: google-cloud-sdk package problems

  1. #1

    Default google-cloud-sdk package problems

    Today, I installed the Google Cloud command-line tools from the OpenSUSE repos. However, the 'gcloud' command (the basic program for managing Google cloud instances) is not working correctly. It crashes with a Python stack trace, eventually saying that it can't import the module 'gce' from oauth2client. I double checked, and oauth2client was installed by Zypper - it's explicitly listed as a dependency for installing gcloud.

    I think it's a mismatch between the version of oauth2client and what that version of Google Cloud's command-line tools. Is anyone else seeing a similar issue?

  2. #2
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    1,927

    Default Re: google-cloud-sdk package problems

    Quote Originally Posted by mbvaughn View Post
    Today, I installed the Google Cloud command-line tools from the OpenSUSE repos. However, the 'gcloud' command (the basic program for managing Google cloud instances) is not working correctly. It crashes with a Python stack trace, eventually saying that it can't import the module 'gce' from oauth2client. I double checked, and oauth2client was installed by Zypper - it's explicitly listed as a dependency for installing gcloud.

    I think it's a mismatch between the version of oauth2client and what that version of Google Cloud's command-line tools. Is anyone else seeing a similar issue?
    No, I never used gcloud personally but you may want to paste the Python stack trace here as this may give people some more insight on why the things are actually breaking. I believe your theory about the mismatch is possible but without the stack trace it's just wild guessing.
    Best regards,
    Greg

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •